# Wordpress
## Benutzerrechte auf Host
Zum Ermöglichen serverseitiger/lokaler Arbeiten an Themes, Plugins und anderen Änderungen bei gleichzeitiger Dashboard-Kompatibilität über das Wordpress Backend.

```
sudo chown -R www-data:www-data wp-content/themes/
mkdir wp-content/uploads/
sudo chown -R www-data:www-data wp-content/uploads/
sudo chmod g+w wp-content/uploads/ wp-content/themes/
sudo chown www-data:www-data wp-cli.phar
sudo chmod g+x wp-cli.phar
```

> ggf. lokalen Computer-Benutzer der www-data Gruppe hinzufügen:
```
sudo usermod -a -G www-data <USER>
```
>→ Computer-Benutzer neu einloggen!

## Datenbank
### Datenbank importieren
```
docker exec -i <DB-CONTAINER-NAME> mysql -uwordpress -pwordpress wordpress < /path/to/sql/file.sql
```
### URL auf localhost:8000 in der Datenbank umstellen
```
docker exec -i -u www-data <WP-CONTAINER-NAME> wp search-replace '<REMOTE URL>' 'http://localhost:8000' --skip-columns=guid
```
### MYSQL Random Root Passwort auslesen
```
docker logs <DB-CONTAINER-NAME> 2>&1 | grep GENERATED
```


## Wordpress-Benutzer verwalten
### Benutzer erstellen
```
docker exec -i -u www-data <WP-CONTAINER-NAME> wp user create <WP-USER> <E-MAIL> --role=administrator
```
### Benutzerpasswort ändern
Das kann aber nur im Container selbst erfolgen.
```
wp user update <WP-USER> --prompt=user_pass
```

## Notes
- download theme
- "emma" als Datenbank Client
- db.env auf Prod-Server anlegen (Variablen-Datei)